import '../resources/repository.dart';
import 'package:rxdart/rxdart.dart';
import '../models/item_model.dart';

class MoviesBloc {
  final _repository = Repository();
  final _moviesFetcher = PublishSubject<ItemModel>();

  Observable<ItemModel> get allMovies => _moviesFetcher.stream;

  fetchAllMovies() async {
    ItemModel itemModel = await _repository.fetchAllMovies();
    _moviesFetcher.sink.add(itemModel);
  }

  getMovie(int id) async {
    for (var movie in fetchAllMovies()) {
      if (id == movie._id) {
        return movie;
      }
    }
  }

  dispose() {
    _moviesFetcher.close();
  }
}

final bloc = MoviesBloc();